Skip to main content
GET
/
api
/
v2
/
external
/
inference
/
list
List Dedicated Deployments
curl --request GET \
  --url https://api.example.com/api/v2/external/inference/list
import requests

url = "https://api.example.com/api/v2/external/inference/list"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.example.com/api/v2/external/inference/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "deployments": [
    {
      "deployment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "hf_model_id": "<string>",
      "hardware_profile": "<string>",
      "min_replicas": 123,
      "max_replicas": 123,
      "current_replicas": 123,
      "status": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "desired_replicas": 123,
      "target_rps": 123,
      "target_latency_p95_ms": 123,
      "stabilisation_window": 123
    }
  ]
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Headers

authorization
string | null

Query Parameters

include_terminated
boolean
default:false
user_id
string | null

Response

Successful Response

Response body for GET /api/v2/external/inference/list.

deployments
DeployListItem · object[]
required